---
schema_version: "1"
id: cbd819e4d485b0ab79f68a5130c2baaee4586fd3400ff1b075ea5ec865ff20c9
title: Data Alerts (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-alerts.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-alerts
source_site: developer.salesforce.com
content_type: documentation
content_hash: ea95d28da6631e7a09333544293ba0c8c4d1206e03fc3fc87110e3f271129b8d
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Alerts (deprecated)

# Data Alerts (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get alert descriptors

`GET /alerts/descriptors`

Operation ID: `Get alert descriptors`. Tags: alerts. Security: oauth2\_application.

Gets a collection of all alert descriptors

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_descriptors`.
    

### GET Get alert descriptors for application context

`GET /alerts/descriptors/{application_id}`

Operation ID: `Get alert descriptors for application context`. Tags: alerts. Security: oauth2\_application.

Gets a collection of all alert descriptors for the given application context.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.
*   `application_context_path` (query, string) The application context path (optional).

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_descriptors`.
    

### GET Get alert descriptor

`GET /alerts/descriptors/{application_id}/{application_context_path}/{message_id}`

Operation ID: `Get alert descriptor`. Tags: alerts. Security: oauth2\_application.

Gets a single alert descriptor

This endpoint may return the following faults:

*   404 - AlertDescriptorNotFoundException - If no alert descriptor was found for the given path.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.
*   `application_context_path` (path, string, required) The application context path.  
    Minimum length: 1.
*   `message_id` (path, string, required) The message ID.  
    Minimum length: 1.

#### Responses

*   **404** `AlertDescriptorNotFoundException` - If no alert descriptor was found for the given path.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_descriptor`.
    

### PATCH Trigger rule validation.

`PATCH /alerts/descriptors/{application_id}/{application_context_path}/{message_id}/revalidate`

Operation ID: `Trigger rule validation.`. Tags: alerts. Security: oauth2\_application.

Triggers rule validation for all described descriptors.

When a validation rule for a descriptor is triggered active alerts might be deleted if the conditions are not met anymore. Additionally, new alerts might be created if conditions of a descriptor are now met.

If the alert descriptor is context-specific, a context object ID needs to be provided in the request body. The request body can be ued to further restrict the set of descriptors that are validated.

This endpoint may return the following faults:

*   400 - ContextObjectIdRequiredException - If the descriptor is context specific but no context object id was provided in the request body.
*   404 - AlertDescriptorNotFoundException - If no matching alert descriptor was found.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.
*   `application_context_path` (path, string, required) The application context path.  
    Minimum length: 1.
*   `message_id` (path, string, required) The message ID.  
    Minimum length: 1.

#### Request body

Media type: `application/json, text/xml`. Schema: `alert_descriptors_revalidation_request`.

#### Responses

*   **204**
*   **400** `ContextObjectIdRequiredException` - If the descriptor is context specific but no context object id was provided in the request body.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `AlertDescriptorNotFoundException` - If no matching alert descriptor was found.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    

### GET Get alerts

`GET /alerts/items`

Operation ID: `Get alerts`. Tags: alerts. Security: oauth2\_application.

Gets a collection of alerts.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_items`.
    

### GET Get alerts for application

`GET /alerts/items/{application_id}`

Operation ID: `Get alerts for application`. Tags: alerts. Security: oauth2\_application.

Gets a collection of alerts for the given application ID.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_items`.
    

### GET Get alert

`GET /alerts/items/{application_id}/{application_context_path}/{message_id}/{context_object_id}`

Operation ID: `Get alert`. Tags: alerts. Security: oauth2\_application.

Gets a single alert.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.
*   `application_context_path` (path, string, required) The application context path.  
    Minimum length: 1.
*   `message_id` (path, string, required) The message ID.  
    Minimum length: 1.
*   `context_object_id` (path, string, required) The context object ID.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_item`.
    

### DELETE Delete alert

`DELETE /alerts/items/{application_id}/{application_context_path}/{message_id}/{context_object_id}`

Operation ID: `Delete alert`. Tags: alerts. Security: oauth2\_application.

Deletes a single alert.

#### Parameters

*   `application_id` (path, string, required) The application ID.  
    Minimum length: 1.
*   `application_context_path` (path, string, required) The application context path.  
    Minimum length: 1.
*   `message_id` (path, string, required) The message ID.  
    Minimum length: 1.
*   `context_object_id` (path, string, required) The context object ID.

#### Responses

*   **204**

### GET Get alert settings

`GET /alerts/usersettings`

Operation ID: `Get alert settings`. Tags: alerts. Security: oauth2\_application.

Gets the alert settings for the user.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_settings`.
    

### PATCH Change alert settings

`PATCH /alerts/usersettings`

Operation ID: `Change alert settings`. Tags: alerts. Security: oauth2\_application.

Changes the alert settings for the user.

#### Request body

Media type: `application/json, text/xml`. Schema: `alert_settings`.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `alert_settings`.
    

## Schemas

### alert\_descriptors

Document containing a collection of alert descriptors.

*   `data` (_array of alert\_descriptor_) Collection of alert descriptors

_Example_

```
{
  "data": [
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/PasswordTooShort",
      "message_id": "PasswordTooShort"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/UnifiedAuthNotEnforced",
      "message_id": "UnifiedAuthNotEnforced"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/UnifiedAuthUsedExclusively",
      "message_id": "UnifiedAuthUsedExclusively"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/UnifiedAuthDisabled",
      "message_id": "UnifiedAuthDisabled"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/UnifiedAuthOnlySupported",
      "message_id": "UnifiedAuthOnlySupported"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAuth/UnifiedAuthOnlyEncouraged",
      "message_id": "UnifiedAuthOnlyEncouraged"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "default_priority": "warning",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAccess/IpRestrictionsNotSet",
      "message_id": "IpRestrictionsNotSet"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "default_priority": "warning",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAccess/IpRestrictionsNoBlocking",
      "message_id": "IpRestrictionsNoBlocking"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "default_priority": "warning",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAccess/IpRestrictionsOnlyBlackList",
      "message_id": "IpRestrictionsOnlyBlackList"
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "default_priority": "warning",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_securityPrefs%2FuserAccess/IpRestrictionsNoSfWhitelist",
      "message_id": "IpRestrictionsNoSfWhitelist"
    },
    {
      "application_context_path": "marketing_promotions/custom_notification",
      "application_id": "marketing",
      "context_object_type": "PromotionPO",
      "default_priority": "warning",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/marketing/marketing_promotions%2Fcustom_notification/promo_in_past",
      "message_id": "promo_in_past"
    },
    {
      "application_context_path": "operations_certificates/certificates",
      "application_id": "operations",
      "context_object_type": "other.KeyStoreEntry",
      "default_priority": "action_required",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/operations/operations_certificates%2Fcertificates/CertExpired",
      "message_id": "CertExpired"
    },
    {
      "application_context_path": "operations_certificates/certificates",
      "application_id": "operations",
      "context_object_type": "other.KeyStoreEntry",
      "default_priority": "action_required",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/operations/operations_certificates%2Fcertificates/CertExpiring",
      "message_id": "CertExpiring"
    },
    {
      "application_context_path": "global-prefs_custom_prefs/custom_notification",
      "application_id": "global-prefs",
      "default_priority": "action_required",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/global-prefs/global-prefs_custom_prefs%2Fcustom_notification/missing_org_config",
      "message_id": "missing_org_config"
    },
    {
      "application_context_path": "customerlists_manage/customerAuth",
      "application_id": "sites",
      "context_object_type": "CustomerList",
      "default_priority": "informational",
      "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/sites/customerlists_manage%2FcustomerAuth/PasswordTooShort",
      "message_id": "PasswordTooShort"
    }
  ]
}
```

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.

### alert\_descriptor

Document describing a single alert descriptor.

*   `application_context_path` (_string_) The application context path.  
    Minimum length: 1.
*   `application_id` (_string_) The application ID.  
    Minimum length: 1.
*   `context_object_type` (_string_) The context object type.
*   `default_priority` (_string_) The default priority.  
    Allowed values: `not_allowed`, `hidden`, `informational`, `warning`, `action_required`. Minimum length: 1.
*   `link` (_string_) URL for this resource.  
    Minimum length: 1.
*   `message_id` (_string_) The message ID.  
    Minimum length: 1.

_Example_

```
{
  "application_context_path": "customerlists_manage/customerAuth",
  "application_id": "sites",
  "context_object_type": "CustomerList",
  "default_priority": "informational",
  "link": "https://example.com/s/-/dw/data/{version}/alerts/descriptors/sites/customerlists_manage%2FcustomerAuth/PasswordTooShort",
  "message_id": "PasswordTooShort"
}
```

### alert\_descriptors\_revalidation\_request

Contains parameters for a alert descriptor revalidation request.

*   `context_object_id` (_string_) ID of the object in which context messages should be revalidated.

_Example_

```
{
  "context_object_id": "123456"
}
```

### alert\_items

Document containing a collection of alerts.

*   `data` (_array of alert\_item_) Collection of alerts

### alert\_item

Document describing a single alert.

*   `application_context_path` (_string_) The application context path.  
    Minimum length: 1.
*   `application_id` (_string_) The application ID.  
    Minimum length: 1.
*   `context_object_id` (_string_) The context object ID.
*   `description` (_string_) The alert description.  
    Minimum length: 1.
*   `display_message` (_string_) The display message.  
    Minimum length: 1.
*   `link` (_string_) URL for this resource.  
    Minimum length: 1.
*   `message_id` (_string_) The message ID.  
    Minimum length: 1.
*   `remediation_action` (_string_) The remediation action.  
    Minimum length: 1.
*   `remediation_is_external` (_boolean_) True when the remediation targets an external URL.
*   `user_priority` (_string_) The user priority.  
    Allowed values: `not_allowed`, `hidden`, `informational`, `warning`, `action_required`. Minimum length: 1.

### alert\_settings

Document containing the alert settings of a user.

*   `settings` (_array of alert\_descriptor\_settings_) Alert settings.

_Example_

```
{
  "settings": [
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": true,
      "message_id": "PasswordTooShort",
      "priority": "hidden",
      "show_in_header": true,
      "show_on_homepage": false
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "UnifiedAuthNotEnforced",
      "priority": "informational",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "UnifiedAuthUsedExclusively",
      "priority": "informational",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "UnifiedAuthDisabled",
      "priority": "informational",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "UnifiedAuthOnlySupported",
      "priority": "informational",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAuth",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "UnifiedAuthOnlyEncouraged",
      "priority": "informational",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "IpRestrictionsNotSet",
      "priority": "warning",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "IpRestrictionsNoBlocking",
      "priority": "warning",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "IpRestrictionsOnlyBlackList",
      "priority": "warning",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_securityPrefs/userAccess",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "IpRestrictionsNoSfWhitelist",
      "priority": "warning",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "marketing_promotions/custom_notification",
      "application_id": "marketing",
      "is_user_override": false,
      "message_id": "promo_in_past",
      "priority": "warning",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "operations_certificates/certificates",
      "application_id": "operations",
      "is_user_override": false,
      "message_id": "CertExpired",
      "priority": "action_required",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "operations_certificates/certificates",
      "application_id": "operations",
      "is_user_override": false,
      "message_id": "CertExpiring",
      "priority": "action_required",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "global-prefs_custom_prefs/custom_notification",
      "application_id": "global-prefs",
      "is_user_override": false,
      "message_id": "missing_org_config",
      "priority": "action_required",
      "show_in_header": true,
      "show_on_homepage": true
    },
    {
      "application_context_path": "customerlists_manage/customerAuth",
      "application_id": "sites",
      "is_user_override": true,
      "message_id": "PasswordTooShort",
      "priority": "action_required",
      "show_in_header": false,
      "show_on_homepage": true
    }
  ]
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### alert\_descriptor\_settings

Document describing settings for a single alert descriptor.

*   `application_context_path` (_string_, required) The application context path.  
    Minimum length: 1.
*   `application_id` (_string_, required) The application ID.  
    Minimum length: 1.
*   `is_user_override` (_boolean_, required)
    
    Flag that indicates whether the settings for this descriptor have been changed by the user.
    
    In a PATCH request, this flag must be set to `true` to override the default settings. If this flag to `false` in a PATCH request, the default user settings for this descriptor are restored (and all other fields are ignored).
    
*   `message_id` (_string_, required) The message ID.  
    Minimum length: 1.
*   `priority` (_string_, required) The user priority.  
    Allowed values: `hidden`, `informational`, `warning`, `action_required`.
*   `show_in_header` (_boolean_, required) Flag that indicates whether the alert is shown in the Business Manager header.
*   `show_on_banner` (_boolean_) Flag that indicates whether the alert is shown on the Business Manager banner (on every page).
*   `show_on_homepage` (_boolean_, required) Flag that indicates whether the alert is shown on the Business Manager homepage.

_Example_

```
{
  "application_context_path": "customerlists_manage/customerAuth",
  "application_id": "sites",
  "is_user_override": true,
  "message_id": "PasswordTooShort",
  "priority": "action_required",
  "show_in_header": false,
  "show_on_homepage": true
}
```